Subject: bug#16515: 24.3; Images do not automatically revert on file modification when auto-revert mode enabled for image-mode.

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 19:08:36 +0200

Michael Heerdegen <[email-masked]> writes:

> "Gooch, Allen" <[email-masked]> writes:
>
>> (add-hook 'image-mode-hook (lambda ()
>>                               (auto-revert-mode 1)))
>>  
>> Next perform the following steps:
>> 1) load a PNG file (opens in image-mode buffer)
>> 2) modify PNG file
>> 3) notice that PNG in image-mode buffer does NOT automatically revert
>
> More precisely, reverting happens, but after it the image is displayed
> as text (at least that's what you said in gnu.emacs.help, and that's
> what I see).

I tried opening an image, touching it, and I then got

Reverting buffer ‘emacs.png’.

in the echo area, and I don't get the image displayed as text.  So this
seems to work for me in Emacs 27 -- are you still able to reproduce this
bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no